Subject: Re: [RFC/largely untested/PATCH] sha1_name: interpret ~n as HEAD~n

From: Matthieu Moy <[email-masked]>
Date: Sun, 01 May 2011 11:04:22 +0200

"Michael J Gruber" <[email-masked]> writes:

> On Fri, 29 Apr 2011 09:21 -0700, "Junio C Hamano" <[email-masked]>
> wrote:
>> Michael J Gruber <[email-masked]> writes:
>> 
>> > HEAD~n is often used for rebase invocations etc.
>> 
>> I thought rebase invocations these days use @{u}.
>> 
>
> I meant "rebase -i", sorry. And in fact I mostly mean those cases where
> I want to "amend" a commit which is not the top most one.
>
> Michael

... and Junio is right that

  git rebase -i @{u}

usually does the right thing: let you amend any of the unpushed commits.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/